/*------------------------------------------------------------------------------
 Interim login dialog
------------------------------------------------------------------------------*/

#ere-auth-check-wrap.hidden {
	display: none;
}

#ere-auth-check-wrap #ere-auth-check-bg {
	position: fixed;
	top: 0;
	bottom: 0;
	right: 0;
	left: 0;
	background: #000;
	opacity: 0.7;
	filter: alpha(opacity=70);
	z-index: 1000010; /* needs to appear above .notification-dialog */
}

#ere-auth-check-wrap #ere-auth-check {
	position: fixed;
	right: 50%;
	overflow: hidden;
	top: 40px;
	bottom: 20px;
	max-height: 415px;
	width: 380px;
	margin: 0 -190px 0 0;
	padding: 30px 0 0;
	background-color: #f1f1f1;
	z-index: 1000011; /* needs to appear above #ere-auth-check-bg */
	-webkit-box-shadow: 0 3px 6px rgba( 0, 0, 0, 0.3 );
	box-shadow: 0 3px 6px rgba( 0, 0, 0, 0.3 );
}

@media screen and ( max-width: 380px ) {
	#ere-auth-check-wrap #ere-auth-check {
		right: 0;
		width: 100%;
		margin: 0;
	}
}

#ere-auth-check-wrap.fallback #ere-auth-check {
	max-height: 180px;
	overflow: auto;
}

#ere-auth-check-wrap #ere-auth-check-form {
	height: 100%;
	position: relative;
	overflow: auto;
	-webkit-overflow-scrolling: touch;
}

#ere-auth-check-form.loading:before {
	content: "";
	display: block;
	width: 20px;
	height: 20px;
	position: absolute;
	right: 50%;
	top: 50%;
	margin: -10px -10px 0 0;
	background: url(../images/spinner.gif) no-repeat center;
	-webkit-background-size: 20px 20px;
	background-size: 20px 20px;
	-webkit-transform: translateZ(0);
	transform: translateZ(0);
}

@media print,
  (-webkit-min-device-pixel-ratio: 1.25),
  (min-resolution: 120dpi) {

	#ere-auth-check-form.loading:before {
		background-image: url(../images/spinner-2x.gif);
	}

}

#ere-auth-check-wrap #ere-auth-check-form iframe {
	height: 98%; /* Scrollbar fix */
	width: 100%;
}

#ere-auth-check-wrap .ere-auth-check-close {
	position: absolute;
	top: 5px;
	left: 5px;
	height: 22px;
	width: 22px;
	color: #72777c;
}

#ere-auth-check-wrap .ere-auth-check-close:before {
	content: "\f158";
	font: normal 20px/22px dashicons;
	speak: none;
	-webkit-font-smoothing: antialiased !important;
	-moz-osx-font-smoothing: grayscale;
}

#ere-auth-check-wrap .ere-auth-check-close:hover,
#ere-auth-check-wrap .ere-auth-check-close:focus {
	color: #0073aa;
}

#ere-auth-check-wrap .ere-auth-fallback-expired {
	outline: 0;
}

#ere-auth-check-wrap .ere-auth-fallback {
	font-size: 14px;
	line-height: 21px;
	padding: 0 25px;
	display: none;
}

#ere-auth-check-wrap.fallback .ere-auth-fallback,
#ere-auth-check-wrap.fallback .ere-auth-check-close {
	display: block;
}
